update or test a webhook endpoint
Changes url, description, event_types or enabled. Enabling clears the failure count. test: true sends a ping now instead, once, unretried.
PATCH
/
webhooks
/
{id}
update or test a webhook endpoint
curl --request PATCH \
--url https://eversince.ai/api/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"event_types": [
"<string>"
],
"enabled": true,
"test": true
}
'import requests
url = "https://eversince.ai/api/v1/webhooks/{id}"
payload = {
"url": "<string>",
"description": "<string>",
"event_types": ["<string>"],
"enabled": True,
"test": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
description: '<string>',
event_types: ['<string>'],
enabled: true,
test: true
})
};
fetch('https://eversince.ai/api/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"url": "<string>",
"description": "<string>",
"event_types": [
"<string>"
],
"enabled": true,
"consecutive_failures": 123,
"disabled_reason": "<string>",
"last_success_at": "<string>",
"last_failure_at": "<string>",
"created_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}Authorizations
⌘I
update or test a webhook endpoint
curl --request PATCH \
--url https://eversince.ai/api/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"event_types": [
"<string>"
],
"enabled": true,
"test": true
}
'import requests
url = "https://eversince.ai/api/v1/webhooks/{id}"
payload = {
"url": "<string>",
"description": "<string>",
"event_types": ["<string>"],
"enabled": True,
"test": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
description: '<string>',
event_types: ['<string>'],
enabled: true,
test: true
})
};
fetch('https://eversince.ai/api/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"url": "<string>",
"description": "<string>",
"event_types": [
"<string>"
],
"enabled": true,
"consecutive_failures": 123,
"disabled_reason": "<string>",
"last_success_at": "<string>",
"last_failure_at": "<string>",
"created_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123
}
}
